The DOMNodeList class

- « DOMNode::__wakeup

- DOMNodeList::count »

- PHP Manual
- DOM
- The DOMNodeList class

# The DOMNodeList class

(PHP 5, PHP 7, PHP 8)

## Class synopsis

class DOMNodeList implements IteratorAggregate, Countable {
/* Properties */
public readonly int $length;
/* Methods */
public count(): int
public getIterator(): Iterator
public item(int `$index`): DOMElement|DOMNode|DOMNameSpaceNode|null
}

## Properties

length

  The number of nodes in the list. The range of valid child node indices is 0 to `length - 1` inclusive.

## Changelog

Version | Description
--- | ---
8.0.0 | DOMNodeList implements IteratorAggregate now. Previously, Traversable was implemented instead.
7.2.0 | The Countable interface is implemented and returns the value of the length property.

## Notes

> Note: Nodes in the list can be accessed by array syntax.

## See Also

- » W3C specification of NodeList

## Table of Contents

- DOMNodeList::count — Get number of nodes in the list
- DOMNodeList::getIterator — Retrieve an external iterator
- DOMNodeList::item — Retrieves a node specified by index